<template>
	<view class="lightbg">
		<!-- 	<view class="topbar" :style="{top:topStatusBar + 'px'}">
			<img src="https://ikea-mrm.woaap.com/images/mask/bar.png" alt="">
			<view class="goback" @click="goback">
				
			</view>
		</view> -->
		<view class="contentbox">
			<view class="mask"></view>
			<img class="lighttop" src="https://ikea-mrm.woaap.com/images/paint/lighttop.png" alt="" />
			<img class="logo" src="https://ikea-mrm.woaap.com/images/paint/logo.png" alt="" />
			<img @click="goRank" class="rankList" src="https://ikea-mrm.woaap.com/images/paint/rankList.png" alt="" />
			<img @click="goUserinfo" class="medal" src="https://ikea-mrm.woaap.com/images/paint/mymedal.png" alt="" />
			<view class="textbox">
				<img class="lighttext" src="https://ikea-mrm.woaap.com/images/paint/lighttext.png" alt="" />
				<view class="progressBox">
					<img class="love" src="https://ikea-mrm.woaap.com/images/paint/love.png" alt="" />
					<view class="t1">爱心传递</view>
					<view class="t2">{{ progress }}</view>
					<view class="t3">/10000</view>
					<view class="progress"><view class="bar" :style="{ width: percent + '%' }"></view></view>
				</view>
				<view class="btngroup">
					<button class="btn share" open-type="share" @click="share"></button>
					<button class="btn  more" @click="golist"></button>
				</view>
			</view>

			<!-- <img class="share" src="https://ikea-mrm.woaap.com/images/mask/light/share.png" alt=""> -->
		</view>
		<view class="popup" v-if="isshowpop">
			<view class="popmain">
				<img @click="isshowpop = false" class="close" src="https://ikea-mrm.woaap.com/images/paint/close.png" />
				<view class="name">{{ userInfo.nickName }}:</view>
				<img class="popicon" src="https://ikea-mrm.woaap.com/images/paint/pop2.png" />
				<img @click="okay" class="btn" src="https://ikea-mrm.woaap.com/images/paint/button.png" />
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			progress: 0,
			percent: 0,
			isshowpop: true,
			userInfo: getApp().globalData.userInfo,
			uid: getApp().globalData.uid,
			topStatusBar: getApp().globalData.topStatusBar
		};
	},
	onShow() {
		getApp().td_app_sdk.event({
			id: '/paint/light',
			label: 'pv',
			params: {}
		});
	},
	onShareAppMessage: function(res) {
		return {
			title: '色彩唤醒世界 童心传递爱心',
			path: 'pages/index/index',
			imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_paint.jpg'
		};
	},
	onLoad(option) {
		this.progress = option.nownum;
		this.percent = (this.progress / 10000) * 100;
		console.log(this.topStatusBar);
	},
	methods: {
		golist() {
			getApp().td_app_sdk.event({
				id: 'paint参与更多',
				label: 'click'
			});
			wx.reLaunch({
				url: '/pages/list/list'
			});
		},
		share() {
			getApp().td_app_sdk.event({
				id: 'paint爱心接力',
				label: 'click'
			});
		},
		okay() {
			this.isshowpop = false;
			getApp().td_app_sdk.event({
				id: 'paint开心收下',
				label: 'click'
			});
		},
		goRank() {
			getApp().td_app_sdk.event({
				id: 'paint全国玩家排行榜',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/mask/rank'
			});
		},
		goUserinfo() {
			getApp().td_app_sdk.event({
				id: 'paint我的勋章',
				label: 'click'
			});
			wx.request({
				url: getApp().globalData.baseUrl + 'api/access.php?a=userinfo',
				method: 'POST',
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				data: {
					uid: getApp().globalData.uid
				},
				success: res => {
					console.log(res.data.data);
					wx.setStorageSync('gameInfo', res.data.data);
					uni.navigateTo({
						url: '/pages/userinfo/userinfo2'
					});
				}
			});
		},
		goback() {
			wx.navigateBack();
		}
	}
};
</script>

<style lang="less">
.lightbg {
	width: 100vw;
	height: 100vh;
	overflow: hidden;

	.topbar {
		width: 736rpx;
		height: 99rpx;
		position: absolute;
		left: 0;
		z-index: 9;
		img {
			width: 100%;
			height: 100%;
		}
		.goback {
			width: 60rpx;
			height: 100%;
			position: absolute;
			top: 0;
			left: 15rpx;
		}
	}
	.popup {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background: rgba(0, 0, 0, 0.65);
		display: flex;
		justify-content: center;
		align-items: center;
		z-index: 999;
		.popmain {
			width: 580rpx;
			height: 770rpx;
			background: #ffffff;
			border-radius: 30rpx;
			display: flex;
			flex-direction: column;
			align-items: center;
			position: relative;
			border: 2rpx solid #000000;
			.name {
				position: absolute;
				left: 165rpx;
				top: 315rpx;
				font-size: 28rpx;
				font-family: '黑体';
				font-weight: bold;
				color: #333333;
			}
			.close {
				position: absolute;
				top: 35rpx;
				right: 35rpx;
				width: 60rpx;
				height: 60rpx;
				z-index: 1;
			}
			.popicon {
				position: absolute;
				width: 680rpx;
				height: 615rpx;
				top: -100rpx;
				left: 50%;
				transform: translate(-50%, 0);
			}
			.btn {
				position: absolute;
				width: 305rpx;
				height: 110rpx;
				bottom: 80rpx;
				left: 50%;
				transform: translate(-50%, 0);
			}
		}
	}
	.contentbox {
		width: 750rpx;
		height: 1624rpx;
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		display: flex;
		flex-direction: column;
		align-items: center;
		background: url('https://ikea-mrm.woaap.com/images/paint/homebg.png') no-repeat;
		background-size: 100% 100%;
		.logo {
			position: absolute;
			width: 683rpx;
			height: 87rpx;
			top: 230rpx;
			left: 50%;
			transform: translate(-50%, 0);
			z-index: 9;
		}
		.lighttop {
			position: absolute;
			width: 750rpx;
			height: 826rpx;
			top: -30rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
		.mask {
			width: 100%;
			height: 620rpx;
			background: #fbf9fa;
		}
		.rankList {
			position: absolute;
			width: 178rpx;
			height: 46rpx;
			top: 395rpx;
			right: 0;
		}
		.medal {
			position: absolute;
			width: 218rpx;
			height: 60rpx;
			top: 660rpx;
			left: 50%;
			transform: translate(-50%, 0);
		}
		.textbox {
			width: 713rpx;
			height: 583rpx;
			background: #ffffff;
			position: absolute;
			top: 750rpx;
			left: 50%;
			transform: translate(-50%, 0);
			border: 3rpx solid #000000;
			border-radius: 30rpx;
			.lighttext {
				position: absolute;
				width: 623rpx;
				height: 251rpx;
				top: 40rpx;
				left: 50%;
				transform: translate(-50%, 0);
			}
			.progressBox {
				width: 600rpx;
				height: 100rpx;
				position: absolute;
				top: 310rpx;
				left: 50%;
				transform: translate(-50%, 0);
				display: flex;
				align-items: flex-end;
				justify-content: space-between;
				.t1,
				.t2,
				.t3 {
					position: absolute;
					bottom: 50rpx;
					font-family: '黑体';
					font-weight: bold;
					line-height: 22rpx;
					color: #333333;
				}
				.t1 {
					left: 88rpx;
					font-size: 24rpx;
				}
				.t2 {
					right: 78rpx;
					font-size: 24rpx;
				}
				.t3 {
					right: 10rpx;
					font-size: 20rpx;
				}
				.love {
					width: 47rpx;
					height: 60rpx;
					margin-bottom: 10rpx;
				}
				.progress {
					width: 520rpx;
					height: 40rpx;
					background: #fbf9fa;
					border-radius: 30rpx;
					position: relative;
					overflow: hidden;
					border: 2rpx solid #000000;
					.bar {
						position: absolute;
						top: 0;
						left: 0;
						height: 100%;
						// width: 20%;
						background: #fee834;
					}
				}
			}

			.btngroup {
				width: 100%;
				position: absolute;
				bottom: 30upx;
				height: 110rpx;
				box-sizing: border-box;
				padding: 0 30rpx;
				display: flex;
				flex-direction: row;
				justify-content: space-between;
				.btn {
					width: 305rpx;
					height: 110rpx;
					background: none;
				}
				.share {
					background-image: url(https://ikea-mrm.woaap.com/images/paint/share.png);
					background-size: 100% 100%;
				}
				.more {
					background-image: url(https://ikea-mrm.woaap.com/images/paint/more.png);
					background-size: 100% 100%;
				}
				.btn::after {
					border: none !important;
				}
			}
		}
	}
}
</style>
